# Getting received files

Use the [#get-transfer-inbox](#get-transfer-inbox "mention") endpoint to list all transfers received by a user, or received by any user in an organization (Admin role is required in this case). The response will provide details about each transfer, including transfer IDs needed to fetch the transfer details using [Getting transfer details](/getting-transfer-details.md).

## GET /transfer/inbox

> Returns a list of transfers received by currently authenticated user, or received by all users in the authenticated user's organization. Optionally allows to filter transfers received only after specified date.

```json
{"openapi":"3.0.4","info":{"title":"Filemail REST API","version":"2.0"},"tags":[{"name":"Transfer"}],"servers":[{"url":"https://api-public.filemail.com","description":"Production"}],"paths":{"/transfer/inbox":{"get":{"tags":["Transfer"],"description":"Returns a list of transfers received by currently authenticated user, or received by all users in the authenticated user's organization. Optionally allows to filter transfers received only after specified date.","parameters":[{"name":"from","in":"query","description":"The start date for filtering received transfer. Only transfers received after this date will be returned. Expected format: unix time in milliseconds.","schema":{"type":"integer","format":"int64"}},{"name":"getForAllUsers","in":"query","description":"When set to true the response will include also transfers received by other users in the organization. In case current user is not an organization administrator - this flag will be ignored.","schema":{"type":"boolean"}},{"name":"portalId","in":"query","description":"Specify a list of portal IDs to get only transfers sent to those portals.","schema":{"type":"array","items":{"type":"string"}}},{"name":"getexpired","in":"query","description":"When set to true the response will include also expired transfers.","schema":{"type":"boolean"}},{"name":"limit","in":"query","description":"Optional amount of inbox items to fetch (paging). Defaults to custom max page size specified for a company account, or system default (1000).","schema":{"type":"integer","format":"int32"}},{"name":"skip","in":"query","description":"Optional amount of inbox items to skip (paging). Defaults to 0.","schema":{"type":"integer","format":"int32"}},{"name":"search","in":"query","description":"Optional search phrase, which will filter transfers by ID, subject, message, sender, recipients and custom fields.","schema":{"type":"string"}},{"name":"ignoreDeletedPortals","in":"query","description":"Optional boolean flag. Set to true if you want the API to ignore case, when some of provided portal IDs are deleted. When this flag is not set, it defaults to false, and then this endpoint will throw a 409 error if any of provided portals has been deleted.","schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/TransferListDtoBaseResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/TransferListDtoBaseResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/TransferListDtoBaseResponse"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/FilemailErrorResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/FilemailErrorResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/FilemailErrorResponse"}}}}}}}},"components":{"schemas":{"TransferListDtoBaseResponse":{"type":"object","properties":{"responsestatus":{"$ref":"#/components/schemas/FilemailStatusEnum"},"errorid":{"type":"string","nullable":true},"errormessage":{"type":"string","nullable":true},"data":{"$ref":"#/components/schemas/TransferListDto"},"errorcode":{"type":"integer","description":"Numeric representation of the `responsestatus` field.","format":"int32","nullable":true,"readOnly":true}},"additionalProperties":false},"FilemailStatusEnum":{"enum":["OK","UnknownError","InvalidParameter","InputParameterMissing","InvalidEmail","NotFound","CantRemoveLastCorpAdmin","CantRemoveYourself","CantRemoveAdminRoleForYourself","ServiceInterruption","ImageThumbTooExpensive","MissingApikey","InvalidApikey","ApiKeyQuotaExceeded","RateLimitExceeded","WrongUsernamePassword","PasswordTooWeak","InvalidOrExpiredLoginToken","AccountExpired","CaptchaRequiredForNextLogin","LDAPUnableToCreateUser","LDAPWrongUsernamePassword","AccessDenied","CorpAuthenticationRequired","InvalidRequest","UseSsoLink","SsoSessionExpired","SsoCompanyDoesNotUseAdLogin","SsoGroupIdNotSupported","SsoSignatureInvalid","TwoFactorTokenNotFound","TwoFactorUserNotFound","TwoFactorPinNotValid","PasswordResetRequired","SsoUserDisabled","SsoLoginGeneralError","SsoMissingAuthCode","RefreshTokenExpired","RefreshTokenAlreadyUsed","SsoResetPasswordBlocked","AuthorizationFailure","CorpAuthorizationFailed","BusinessAccountExistsRegistrationRequired","UserAccountExistsLoginRequired","Blocked","AllFileserversBusy","FreeLimitReached","AccountExpiredAndOutOfTransferCredits","EmailNotVerified","FeatureAvailableForRegisteredUsers","FileSizeBlockSender","FileSizeBlockRecipient","TooManyRecipients","InvalidTransferState","TransferExpired","PasswordRequired","UploadNotComplete","FileIsDeleted","UploadRecentlyUpdated","FileIsInfected","SubscriptionNotFound","EmailAlreadyRegistered","SignupFormNotAccepted","SessionPasswordNotFound","SessionCustRefNotFound","AllUserLicencesesInUse","RegistrationRequired","PaymentMethodNotAccepted","SubscriptionCancellationFailed","InvalidSubscriptionState","PaymentFailed","ReceiptVerificationError","ReceiptAlreadyUsedForActivation","SubscriptionNotPaid","SubscriptionAlreadyActivated","SubscriptionPurchaseAckFailed","InvoiceFailure","InvalidDowngrade","InvalidDataState","InvalidMembership","ContactsLimitReached","StorageCapReached","ContactsFileParseError","RecoveryNotPossible","ImageFileError","ContactDuplicate","ChunkDownloadError","FileOperationError","IncomingPageBlockedInOverdue","NotAVideo","OperationCancelled","FileRequestRecipientLimitTrial","FileRequestRecipientLimitBasic","FileRequestShareLimitTrial","FileRequestShareLimitBasic","FileRequestBlock","FileRequestShareLimitTimeframe"],"type":"string"},"TransferListDto":{"type":"object","properties":{"transfers":{"type":"array","items":{"$ref":"#/components/schemas/Transfer"},"description":"The list of transfers that match the request specification."},"portal":{"$ref":"#/components/schemas/PortalLeftMenuDto"},"inboxOwner":{"$ref":"#/components/schemas/User"}},"additionalProperties":false},"Transfer":{"type":"object","properties":{"to":{"type":"array","items":{"type":"string"},"description":"This property is obsolete. Use 'recipients' property instead.","deprecated":true},"recipients":{"type":"array","items":{"$ref":"#/components/schemas/TransferRecipient"},"description":"List of transfer recipients."},"failedRecipients":{"type":"integer","format":"int32"},"from":{"type":"string","description":"The sender's email address.","nullable":true},"subject":{"type":"string"},"message":{"type":"string"},"expiredate":{"type":"integer","description":"Transfer expiration date, as unix time, in milliseconds. To check if a transfer is permanent use the 'permanent' property.","format":"int64"},"extendedexpiredate":{"type":"integer","description":"Extended transfer expiration date, as unix time, in milliseconds. This value is only available if transfer was successfully recovered.","format":"int64"},"sentdate":{"type":"integer","description":"Date when the transfer has been created/initialized, as unix time, in milliseconds.","format":"int64"},"notify":{"type":"boolean","nullable":true},"status":{"type":"string","description":"Transfer status: STATUS_STARTED, STATUS_COMPLETE, STATUS_CANCELLED, STATUS_DELETED."},"id":{"type":"string","description":"Transfer unique identifier. Use it to fetch transfer details."},"trackid":{"type":"string","nullable":true},"url":{"type":"string","description":"Url to a web page where the transfer can be previewed and where files can be downloaded manually."},"size":{"type":"integer","description":"Transfer size in bytes.","format":"int64","nullable":true},"customlogourl":{"type":"string","nullable":true},"compressedfileurl":{"type":"string","description":"Url that allows to download the entire transfer directly as a ZIP archive."},"compressedfilestatus":{"type":"string"},"compressedfileformat":{"type":"string"},"torrentstatus":{"type":"string"},"torrenturl":{"type":"string"},"days":{"type":"integer","format":"int32"},"isexpired":{"type":"boolean","description":"Indicates whether the transfer is expired. False if expiredate or extendedexpiredate is in the future. True if expiredate is in the past and no extension exists, or if both expiredate and extendedexpiredate are in the past."},"source":{"type":"string","nullable":true},"key":{"type":"string","nullable":true},"fileserver":{"type":"string"},"fileserverurl":{"type":"string"},"fileserverurl_main":{"type":"string"},"footertext":{"type":"string"},"containsmorefiles":{"type":"integer","format":"int32","nullable":true},"customfields":{"type":"array","items":{"$ref":"#/components/schemas/CustomField"},"description":"List of transfer custom fields. These fields are only available if the transfer has been recevied by an organization via 'Receive files' page or via 'File request'. Available custom fields are configured by the organization administrator."},"files":{"type":"array","items":{"$ref":"#/components/schemas/FileDto"},"description":"List of files contained in this transfer."},"numberoffiles":{"type":"integer","format":"int32"},"numberofdownloads":{"type":"integer","format":"int32"},"downloads":{"type":"array","items":{"$ref":"#/components/schemas/Download"}},"antivirusscanstatus":{"type":"string"},"passwordprotected":{"type":"boolean"},"iconcolor":{"type":"string"},"iconletter":{"type":"string"},"ftphost":{"type":"string"},"region":{"type":"string","nullable":true},"protocol":{"type":"string","nullable":true},"e2ee":{"type":"boolean","nullable":true},"kind":{"type":"string","nullable":true},"ftpcorppasswordrequired":{"type":"boolean"},"udpthreshold":{"type":"integer","format":"int32"},"permanent":{"type":"boolean"},"maxdays":{"type":"integer","format":"int32"},"allowediting":{"type":"boolean"},"alloweditingexpiredate":{"type":"boolean"},"blockdownloads":{"type":"boolean","nullable":true},"infected":{"type":"boolean"},"infected_deleted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"TransferRecipient":{"type":"object","properties":{"email":{"type":"string","nullable":true},"downloadlink":{"type":"string","nullable":true},"delivered":{"type":"boolean"},"deliveryerror":{"type":"string","nullable":true}},"additionalProperties":false},"CustomField":{"type":"object","properties":{"customfieldid":{"type":"string"},"defaultvalue":{"type":"string"},"description":{"type":"string"},"label":{"type":"string"},"customLabel":{"type":"string","nullable":true},"listitems":{"type":"string"},"required":{"type":"boolean","nullable":true},"visible":{"type":"boolean","nullable":true},"type":{"type":"string"},"rendertype":{"type":"integer","format":"int32"},"sortorder":{"type":"integer","format":"int32","nullable":true},"length":{"type":"integer","format":"int32","nullable":true},"startValue":{"type":"integer","format":"int64","nullable":true},"placeholder":{"type":"string"},"removable":{"type":"boolean"},"editableType":{"type":"boolean"},"editableRequired":{"type":"boolean"},"value":{"type":"string"},"barcodeimage":{"type":"string"}},"additionalProperties":false},"FileDto":{"type":"object","properties":{"filename":{"type":"string","nullable":true},"filesize":{"type":"integer","format":"int64","nullable":true},"downloadurl":{"type":"string","description":"Url to one of Filemail fileservers - use it to download this individual file directly."},"fileid":{"type":"string","nullable":true},"thumbid":{"type":"string"},"previewurl":{"type":"string","description":"Url to file icon (based on file extension) or a thumbnail, if the file format allows generating a thumbnail for it.","nullable":true},"hascustompreview":{"type":"boolean","nullable":true},"videopreview":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/Video"},"nullable":true},"downloads":{"type":"array","items":{"$ref":"#/components/schemas/Download"},"nullable":true},"filetype":{"type":"string","nullable":true},"filetypedescription":{"type":"string","nullable":true},"category":{"type":"string"},"smallpreview":{"type":"string","nullable":true},"mediumpreview":{"type":"string","nullable":true},"largepreview":{"type":"string","nullable":true},"hascustomthumbnail":{"type":"boolean","nullable":true},"transferid":{"type":"string"},"md5":{"type":"string","nullable":true},"suspecteddamage":{"type":"boolean","nullable":true}},"additionalProperties":false},"Video":{"type":"object","properties":{"size":{"type":"integer","format":"int64"},"resolution":{"type":"integer","format":"int32"},"downloadUrl":{"type":"string","nullable":true}},"additionalProperties":false},"Download":{"type":"object","properties":{"downloaddate":{"type":"integer","format":"int64"},"ip":{"type":"string"},"email":{"type":"string"},"location":{"type":"string"},"locationurl":{"type":"string"},"locationflag":{"type":"string","nullable":true},"kBps":{"type":"integer","format":"int32","nullable":true},"filename":{"type":"string","nullable":true},"filesize":{"type":"integer","format":"int64","nullable":true},"downloadtype":{"$ref":"#/components/schemas/DownloadType"}},"additionalProperties":false},"DownloadType":{"enum":["SingleFile","MultipleFiles","EntireTransfer"],"type":"string"},"PortalLeftMenuDto":{"type":"object","properties":{"portalId":{"type":"string"},"friendlyName":{"type":"string"},"uploadCount":{"type":"integer","format":"int32","nullable":true},"isDefault":{"type":"boolean"}},"additionalProperties":false},"User":{"type":"object","properties":{"maxdownloads":{"type":"integer","format":"int32"},"maxdays":{"type":"integer","format":"int32"},"maxtransfersize":{"type":"integer","format":"int64"},"membershipname":{"type":"string"},"istrial":{"type":"boolean"},"defaultnotify":{"type":"boolean"},"defaultdays":{"type":"integer","format":"int32"},"defaultconfirmation":{"type":"boolean"},"defaultdownloads":{"type":"integer","format":"int32"},"id":{"type":"string"},"name":{"type":"string","nullable":true},"intercomhash":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"mobilephone":{"type":"string","nullable":true},"signature":{"type":"string","nullable":true},"defaultsubject":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"newsletter":{"type":"boolean","nullable":true},"allowCommunicationEmails":{"type":"boolean","nullable":true},"created":{"type":"integer","format":"int64"},"ssoPlatform":{"type":"string","nullable":true},"cansend":{"type":"boolean"},"expired":{"type":"boolean"},"emailverifiedforsending":{"type":"boolean"},"freelimitreached":{"type":"boolean"},"companyname":{"type":"string","nullable":true},"companyid":{"type":"string","nullable":true},"admin":{"type":"boolean","nullable":true},"role":{"type":"integer","format":"int32"},"forcepasswordonincoming":{"type":"boolean","nullable":true},"canreceivefiles":{"type":"boolean","nullable":true},"buttonscolor":{"type":"string","nullable":true},"buttonstextcolor":{"type":"string","nullable":true},"companylogo":{"type":"string","nullable":true},"showallrecipients":{"type":"boolean"},"canstorefilesforever":{"type":"boolean"},"enforcepasswordpolicy":{"type":"boolean"},"udpenabled":{"type":"boolean"},"allowunlimiteddays":{"type":"boolean"},"allow3months":{"type":"boolean"},"canAccessOthersFiles":{"type":"boolean","nullable":true},"subscription":{"$ref":"#/components/schemas/Subscription"},"storageinuse":{"type":"integer","format":"int64","nullable":true},"storagelimit":{"type":"integer","format":"int64","nullable":true},"passwordMinLength":{"type":"integer","format":"int32","nullable":true},"contactgroups":{"type":"array","items":{"$ref":"#/components/schemas/ContactGroup"}},"twoFactorEnabled":{"type":"boolean","nullable":true},"loglevel":{"type":"string","nullable":true},"maxrecipients":{"type":"integer","format":"int32","nullable":true},"maxrecipientsaftertrial":{"type":"integer","format":"int32","nullable":true},"allowautodownloads":{"type":"boolean"},"allowpasswordprotection":{"type":"boolean"},"allowdownloadtracking":{"type":"boolean"},"allowe2ee":{"type":"boolean"},"allowPortals":{"type":"boolean"},"allowMultiplePortals":{"type":"boolean"},"canManageSubscription":{"type":"boolean"},"requireE2EEwhenSending":{"type":"boolean","nullable":true},"requireE2EEwhenReceiving":{"type":"boolean","nullable":true}},"additionalProperties":false},"Subscription":{"type":"object","properties":{"active":{"type":"boolean"},"expireDate":{"type":"integer","format":"int64","nullable":true},"currency":{"type":"string"},"interval":{"type":"string"},"membershipname":{"type":"string"},"showExVatLabelOnPrices":{"type":"boolean"},"allowMultipleUsers":{"type":"boolean"},"licenseCount":{"type":"integer","format":"int32"},"licensePrice":{"type":"number","format":"double"},"pricePerTBPerUser":{"type":"number","format":"double"},"subscriptionPrice_Users":{"type":"number","format":"double"},"subscriptionPrice_Storage":{"type":"number","format":"double"},"subscriptionPrice_Total":{"type":"number","format":"double"},"paymentGateway":{"$ref":"#/components/schemas/PaymentGateways"},"licensesInUse":{"type":"integer","format":"int32"},"canChangePlan":{"$ref":"#/components/schemas/SettingsFeatureDto"},"canUpdatePaymentMethod":{"$ref":"#/components/schemas/SettingsFeatureDto"},"changeSubscriptionMobileAppLink":{"type":"string","nullable":true},"canChangeInterval":{"$ref":"#/components/schemas/SettingsFeatureDto"},"canManageLicenses":{"$ref":"#/components/schemas/SettingsFeatureDto"},"canChangeLicenseCount":{"$ref":"#/components/schemas/SettingsFeatureDto"},"canCancel":{"$ref":"#/components/schemas/SettingsFeatureDto"},"canUpgrade":{"$ref":"#/components/schemas/SettingsFeatureDto"},"isTrial":{"type":"boolean"},"nextPaymentDate":{"type":"integer","format":"int64","nullable":true},"paymentMethod":{"$ref":"#/components/schemas/PaymentMethodDto"},"storageBytesInUse":{"type":"integer","format":"int64"},"storageBytesLimit":{"type":"integer","format":"int64"},"storageBytesIncludedInMembership":{"type":"integer","format":"int64"},"storageBytesAdditional":{"type":"integer","format":"int64"}},"additionalProperties":false},"PaymentGateways":{"enum":["PayPal","PayEx","Chargify","None","PowerOffice","Braintree","AppStore","PlayStore","Stripe"],"type":"string"},"SettingsFeatureDto":{"type":"object","properties":{"state":{"$ref":"#/components/schemas/SettingsFeatureState"},"reason":{"type":"string","nullable":true},"link":{"type":"string","nullable":true}},"additionalProperties":false},"SettingsFeatureState":{"enum":["active","hidden","blocked"],"type":"string"},"PaymentMethodDto":{"type":"object","properties":{"paymentMethod":{"$ref":"#/components/schemas/PaymentMethod"},"creditCardBrand":{"type":"string","nullable":true},"creditCardLast4":{"type":"string","nullable":true},"creditCardName":{"type":"string","nullable":true},"creditCardExpireYear":{"type":"integer","format":"int32","nullable":true},"creditCardExpireMonth":{"type":"integer","format":"int32","nullable":true},"payPalEmail":{"type":"string","nullable":true},"paymentMethodTextInfo":{"type":"string","nullable":true}},"additionalProperties":false},"PaymentMethod":{"enum":["PayPal","CreditCard","Invoice","AppStore","GooglePay","Uknown","Digital"],"type":"string"},"ContactGroup":{"type":"object","properties":{"numberofcontacts":{"type":"integer","format":"int32","nullable":true},"contactgroupid":{"type":"string"},"contactgroupname":{"type":"string"},"corp_shared":{"type":"boolean"},"allow_edit":{"type":"boolean"},"contacts":{"type":"array","items":{"$ref":"#/components/schemas/Contact"},"nullable":true}},"additionalProperties":false},"Contact":{"type":"object","properties":{"contactid":{"type":"string"},"name":{"type":"string"},"email":{"type":"string"},"mobile":{"type":"string"},"corp_shared":{"type":"boolean"},"allow_edit":{"type":"boolean"},"groups":{"type":"array","items":{"$ref":"#/components/schemas/ContactGroup"}}},"additionalProperties":false},"FilemailErrorResponse":{"type":"object","properties":{"validationerrors":{"type":"array","items":{"$ref":"#/components/schemas/ValidationError"},"description":"List of validation errors when the request was not properly formed.","nullable":true},"responsestatus":{"$ref":"#/components/schemas/FilemailStatusEnum"},"errorid":{"type":"string","nullable":true},"errormessage":{"type":"string","nullable":true},"data":{"description":"This field contains endpoint-sepcific response data.","nullable":true},"errorcode":{"type":"integer","description":"Numeric representation of the `responsestatus` field.","format":"int32","nullable":true,"readOnly":true}},"additionalProperties":false},"ValidationError":{"required":["propertyName"],"type":"object","properties":{"propertyName":{"minLength":1,"type":"string","description":"Name of the invalid property contained in the request body or query string."},"errorCode":{"$ref":"#/components/schemas/FilemailStatusEnum"},"errorMessage":{"type":"string","description":"Message explaining the validation error.","nullable":true}},"additionalProperties":false}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.filemail.com/api/getting-received-files.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
